fhmqv.h File Reference

Classes for Fully Hashed Menezes-Qu-Vanstone key agreement in GF(p) More...

Go to the source code of this file.

## Classes

class | FHMQV_Domain< GROUP_PARAMETERS, COFACTOR_OPTION, HASH >
| Fully Hashed Menezes-Qu-Vanstone in GF(p) More...

## Typedefs

typedef FHMQV_Domain< DL_GroupParameters_GFP_DefaultSafePrime > | FHMQV
| Fully Hashed Menezes-Qu-Vanstone in GF(p) More...

## Detailed Description

Classes for Fully Hashed Menezes-Qu-Vanstone key agreement in GF(p)

Since
  Crypto++ 5.6.4

Definition in file fhmqv.h.

## Typedef Documentation

## FHMQV

typedef FHMQV_Domain<DL_GroupParameters_GFP_DefaultSafePrime> FHMQV

Fully Hashed Menezes-Qu-Vanstone in GF(p)

This implementation follows Augustin P. Sarr and Philippe Elbaz–Vincent, and Jean–Claude Bajard's A Secure and Efficient Authenticated Diffie-Hellman Protocol. Note: this is FHMQV, Protocol 5, from page 11; and not FHMQV-C.

See also
  FHMQV, MQV_Domain, FHMQV_Domain, AuthenticatedKeyAgreementDomain

Since
  Crypto++ 5.6.4

Definition at line 404 of file fhmqv.h.